Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class VirtualWebSite

    java.lang.Object
      org.meshcms.core.WebSite
          org.meshcms.core.VirtualWebSite

public class VirtualWebSite
extends WebSite

Field Summary

Fields inherited from class org.meshcms.core.WebSite
`ADMIN_ID_FILE, ADMIN_THEME, adminModulesPath, adminPath, adminScriptsPath, adminThemePath, adminThemesPath, APP_NAME, BACKUP_DIR_PREFIX, BACKUP_PREFIX, CMS_ID_FILE, cmsPath, configFilePath, configuration, customModulesPath, customThemesPath, generatedFilesPath, lastAdminThemeBlock, moduleDataPath, privatePath, propertiesFilePath, repositoryPath, rootFile, rootPath, sc, siteInfo, siteMap, sitesFilePath, statsLength, statsZero, TEMP_PREFIX, usersPath, VERSION_ID, virtualSitesPath, welcomeFiles`

Constructor Summary
`VirtualWebSite()`

Method Summary
`protected static VirtualWebSite` | `create(MainWebSite mainWebSite, Path rootPath, Path cmsPath)`
`java.lang.String` | `getDirName()`
`java.io.File` | `getFile(Path path)` Returns the file object for a given path in the web application.
`MainWebSite` | `getMainWebSite()`
`Path` | `getRequestedPath(javax.servlet.http.HttpServletRequest request)`
`Path` | `getServedPath(javax.servlet.http.HttpServletRequest request)`
`Path` | `getServedPath(Path requestedPath)`
`java.lang.String` | `getTypeDescription()`
`WebSite` | `getWebSite(javax.servlet.ServletRequest request)`
`protected void` | `init(MainWebSite mainWebSite, Path rootPath, Path cmsPath)`
`boolean` | `isVirtual()`
`void` | `updateSiteMap(boolean force)` Creates another instance of `SiteMap`.
`javax.servlet.http.HttpServletRequest` | `wrapRequest(javax.servlet.ServletRequest request)`

Methods inherited from class org.meshcms.core.WebSite
`copyFile, copyFile, create, createDir, createDirectory, createFile, delete, findCurrentWelcome, getAbsoluteLink, getAbsoluteLink, getAdminMetaThemeTag, getAdminModulesPath, getAdminPath, getAdminScriptsPath, getAdminThemePath, getAdminThemesPath, getCMSPath, getConfigFilePath, getConfiguration, getCustomModulesPath, getCustomThemesPath, getDirectory, getDummyMetaThemeTag, getGeneratedFilesPath, getHTMLTemplate, getLastAdminThemeBlock, getLink, getLink, getLinkList, getModuleDataPath, getModulePath, getPath, getPrivatePath, getPropertiesFilePath, getRepositoryFile, getRepositoryPath, getRootFile, getRootPath, getServletContext, getSiteInfo, getSiteMap, getSitesFilePath, getStatsIndex, getStatsLength, getThemePath, getTitles, getUsersPath, getVirtualSitesPath, getWelcomeFileNames, init, isDirectory, isInsideModules, isInsideThemes, isSystem, isVisuallyEditable, isWelcomeFileName, loadFromXML, log, log, move, readConfig, rename, saveToFile, setFileTime, setLastAdminThemeBlock, storeToXML, toString, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualWebSite

    public VirtualWebSite()

Method Detail

### create

    protected static VirtualWebSite create(MainWebSite mainWebSite,
                                           Path rootPath,
                                           Path cmsPath)

### init

    protected void init(MainWebSite mainWebSite,
                        Path rootPath,
                        Path cmsPath)

### getWebSite

    public WebSite getWebSite(javax.servlet.ServletRequest request)

  Overrides:
    `getWebSite` in class `WebSite`

### isVirtual

    public boolean isVirtual()

  Overrides:
    `isVirtual` in class `WebSite`

### wrapRequest

    public javax.servlet.http.HttpServletRequest wrapRequest(javax.servlet.ServletRequest request)

  Overrides:
    `wrapRequest` in class `WebSite`

### getTypeDescription

    public java.lang.String getTypeDescription()

  Overrides:
    `getTypeDescription` in class `WebSite`

### getDirName

    public java.lang.String getDirName()

### getRequestedPath

    public Path getRequestedPath(javax.servlet.http.HttpServletRequest request)

  Overrides:
    `getRequestedPath` in class `WebSite`

### getServedPath

    public Path getServedPath(javax.servlet.http.HttpServletRequest request)

  Overrides:
    `getServedPath` in class `WebSite`

### getServedPath

    public Path getServedPath(Path requestedPath)

  Overrides:
    `getServedPath` in class `WebSite`

### getFile

    public java.io.File getFile(Path path)

  Description copied from class: `WebSite`
  Returns the file object for a given path in the web application. The file is not checked for existance.

  Overrides:
    `getFile` in class `WebSite`
  Parameters:
    `path` - the path representation of the file
  Returns:
    the file object for this path, or null if it's not found

### getMainWebSite

    public MainWebSite getMainWebSite()

### updateSiteMap

    public void updateSiteMap(boolean force)

  Description copied from class: `WebSite`
  Creates another instance of `SiteMap`. If `force` is true, a new site map is always created and the method returns after the new site map is completed. If it is false, a new site map is created only if the current one is too old. In this case, the site map is created asynchronously and the method returns immediately. The repository will be cleaned too.

  Overrides:
    `updateSiteMap` in class `WebSite`
  Parameters:
    `force` - it to force the SiteMap creation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD